<layout-card-container>
  <div class="create-your-password">
    <h1 class="create-your-password__title">
      {{'AUTH.SET_PASS.CREATE_PASSWORD.TITLE' | translate }}
    </h1>
    <p
      class="create-your-password__description"
      [innerHTML]="'AUTH.SET_PASS.CREATE_PASSWORD.DESCRIPTION' | translate "
    ></p>
    <form
      class="create-your-password__form"
      [formGroup]="form"
      (ngSubmit)="onSubmit()"
    >
      <mo-input
        formControlName="password"
        [placeholder]="'AUTH.SET_PASS.CREATE_PASSWORD.PLACEHOLDER_PASSWORD' | translate"
        [type]="INPUT_TYPE.PASSWORD"
        (keyup)="onValidatePassword($event)"
      ></mo-input>
      <mo-input
        formControlName="confirm_password"
        [placeholder]="'AUTH.SET_PASS.CREATE_PASSWORD.PLACEHOLDER_CONFIRM_PASSWORD' | translate"
        [type]="INPUT_TYPE.PASSWORD"
      ></mo-input>
      <div class="password-validations">
        <password-validations-item
          [text]="'AUTH.SET_PASS.CREATE_PASSWORD.PASSWORD_CONDITIONS.INCLUDE_A_LETTER' |translate"
          [isValid]="hasLetters"
        ></password-validations-item>
        <password-validations-item
          [text]="'AUTH.SET_PASS.CREATE_PASSWORD.PASSWORD_CONDITIONS.INCLUDE_A_NUMBER' |translate"
          [isValid]="hasNumber"
        ></password-validations-item>
        <password-validations-item
          [text]="'AUTH.SET_PASS.CREATE_PASSWORD.PASSWORD_CONDITIONS.HAVE_CHARACTERS_BETWEEN_LETTERS_AND_NUMBERS' |translate"
          [isValid]="hasMinCharacters"
        ></password-validations-item>
      </div>
      <mo-button
        [text]="'AUTH.SET_PASS.CREATE_PASSWORD.BTN_SAVE' | translate"
        [designClass]="BUTTON_DESIGN_CLASS.INDIGO"
        [size]="SIZES.MD"
        [type]="BUTTON_TYPE.SUBMIT"
        [displayBlock]="true"
        [isLoading]="isLoading$ | async"
        [isDisabled]="(isLoading$ | async) || form.invalid"
      >
      </mo-button>
    </form>
  </div>
</layout-card-container>
